using System.Linq;
using UnityEngine;
using UnityEngine.Assertions;

public class VisibilityTesting : MonoBehaviour {
    private DialogID[] dialogIds;


    private void Start() {
        dialogIds = FindObjectsOfType<DialogID>();
        Assert.AreEqual(dialogIds.Length, 3, "There should be exactly 3 dialogs in the test scene.");
    }

    private void Update() {
        if(Input.GetKeyDown("1")) {
            FindDialogById(dialogIds[0].Id).Dialog.ToggleVisibility();
        }
        if(Input.GetKeyDown("2")) {
            FindDialogById(dialogIds[1].Id).Dialog.ToggleVisibility();
        }
        if(Input.GetKeyDown("3")) {
            FindDialogById(dialogIds[2].Id).Dialog.ToggleVisibility();
        }
    }
    
    public DialogID FindDialogById(ulong id) {
        return dialogIds.FirstOrDefault(dialogID => dialogID.GetComponent<DialogID>().Id == id);
    }
}